import javax.annotation.Resource;
import javax.enterprise.context.ApplicationScoped;
import javax.inject.Inject;
import javax.jms.JMSContext;
import javax.jms.Topic;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;

/**
 * @author Yoshimasa Tanabe
 */
@ApplicationScoped
@Path("/")
public class MyResource {

    @Inject
    private JMSContext context;

    @Resource(lookup = "java:/jms/topic/my-topic")
    private Topic topic;

    @GET
    @Produces("text/plain")
    public String get() {
        context.createProducer().send(topic, "Hello!");
        return "Howdy!";
    }

}